Subject: Re: [EAI] RFC5336bis and trace fields

From: "Jiankang Yao" <[email-masked]>
Date: Sun, 26 Jun 2011 06:24:27 +0800

----- Original Message ----- 
From: "John C Klensin" <[email-masked]>
To: <[email-masked]>
Sent: Sunday, June 26, 2011 3:54 AM
Subject: [EAI] RFC5336bis and trace fields

> Hi.
> Personal opinion only...
...
>
> The tradeoff is complicated.  If the WG makes an informed
> decision that the current text in 5336bis is what is wanted and
> strikes the best balance between maximum information and minimum
> risk of ending up with unusable data at a critical time, I have
> no problem going along with that decision.  But I would
> encourage everyone to think carefully about this an reach a
> conclusion about the tradeoff you want, not to assume that
> others have magically gotten it right or that a slogan about,
> e.g., "UTF-8 everywhere" is an adequate way to make the decision.
>

the current text in rfc5336bis is "   Except in the 'For' clause and 
'Reverse-path' clause where
   internationalized domain name with the U-label form MAY be used,
   internationalized domain names in Received fields MUST be transmitted
   in the form of A-labels. "

I think that the current wording is such a tradeoff between easy debugging 
and clear UTF-8 environment.

Jiankang Yao

>
>       john
>
> _______________________________________________
> IMA mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ima
>